## symfony 5.4.4+dfsg

=== debian/changelog ===
symfony (5.4.4+dfsg-1ubuntu8) jammy; urgency=medium

  * d/p/add-return-types.patch: Expand patch to include a bunch of
    additional param and return types for routines, as required for
    autopkgtests for php-twig, doctrine-related components, and
    phpmyadmin.  This should bring most things up to conformance with
    the PSR components shipped in Ubuntu 22.04, yet may differ slightly
    from what is shipping upstream.

 -- Bryce Harrington <bryce@canonical.com>  Sat, 12 Mar 2022 03:18:25 +0000

symfony (5.4.4+dfsg-1ubuntu7) jammy; urgency=medium

  * d/p/add-return-types.patch: Modify patch to add another necessary
    get() return type.

 -- Bryce Harrington <bryce@canonical.com>  Sun, 06 Mar 2022 01:48:46 +0000

symfony (5.4.4+dfsg-1ubuntu6) jammy; urgency=medium

  * d/p/add-return-types.patch: Add return types required for
    psr/container 3, to resolve autopkgtest failures.
  * d/t/control: Mark tests flaky for now due to remaining php8.1
    inadequacies.
    - Many more routines require return types specified in order for tests
      to pass successfully with psr/container 3.  The upstream patches for
      this are large and not available until symfony 6.0.0.

 -- Bryce Harrington <bryce@canonical.com>  Sat, 05 Mar 2022 12:19:15 +0000

symfony (5.4.4+dfsg-1ubuntu5) jammy; urgency=medium

  * d/p/implement-psr-link-2.patch: Implement psr/link2 for php8.1
  * d/p/implement-psr-container-2.patch: Allow php-psr-container 2.0.2
  * d/p/implement-psr-cache-3.patch: Allow php-psr-cache 3.0 for php8.1
  * Drop d/p/Adapt-conflict-to-Debian-expectations.patch:     -
    Unnecessary and causes conflict for php-email-validator 3.1.2
    now available in Jammy
  * d/p/drop-conflict-email-validator.patch: Drop conflicts for
    php-email-validator to allow version 3.1.2-1.

 -- Bryce Harrington <bryce@canonical.com>  Wed, 02 Mar 2022 22:06:38 +0000

symfony (5.4.4+dfsg-1ubuntu4) jammy; urgency=medium

  * d/p/implement-psr-log-3.patch: Implement psr/log 3

 -- Bryce Harrington <bryce@canonical.com>  Mon, 28 Feb 2022 17:59:44 +0000

symfony (5.4.4+dfsg-1ubuntu3) jammy; urgency=medium

  * No change rebuild against newer doctrine

 -- Bryce Harrington <bryce@canonical.com>  Thu, 24 Feb 2022 11:05:07 -0800

symfony (5.4.4+dfsg-1ubuntu2) jammy; urgency=medium

  * No change rebuild (hopefully against newer php-psr-log)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 15 Feb 2022 22:55:37 +0000

symfony (5.4.4+dfsg-1ubuntu1) jammy; urgency=medium

  * Merge from Debian.  Remaining changes:
    - d/rules: Disable running phpunit testsuite during build.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 11 Feb 2022 19:42:35 +0000

symfony (5.4.4+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Bump license year
  * Update VERSION for 5.4.4

  [ Jérémy Derussé ]
  * Enable CSRF in FORM by default

  [ David Prévot ]
  * Revert "Workaround the lack of Enum support in phpab"
  * Update copyright (years)
  * Mark php-symfony-semaphore as Multi-Arch: foreign

 -- David Prévot <taffit@debian.org>  Sat, 29 Jan 2022 18:32:47 -0400
