## symfony 5.4.9+dfsg

=== debian/changelog ===
symfony (5.4.9+dfsg-1ubuntu2) kinetic; urgency=medium

  * No change rebuild to resolve polyfill dependency drop.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 09 Jun 2022 20:05:20 -0300

symfony (5.4.9+dfsg-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1973123). Remaining changes:
    - d/rules: Disable running phpunit testsuite during build.
    - d/p/implement-psr-log-3.patch: Implement psr/log 3
    - Drop d/p/Adapt-conflict-to-Debian-expectations.patch:
      Unnecessary and causes conflict for php-email-validator
    - d/p/implement-psr-link-2.patch: Implement psr/link2 for php8.1
    - d/p/drop-conflict-email-validator.patch: Drop conflicts for
      php-email-validator to allow version 3.1.2-1.
    - d/p/implement-psr-container-2.patch: Allow php-psr-container 2.0.2
    - d/p/implement-psr-cache-3.patch: Allow php-psr-cache 3.0 for php8.1
    - d/t/control: Mark tests flaky for now due to remaining php8.1
      inadequacies.
      + Many more routines require return types specified in order for tests
        to pass successfully with psr/container 3.  The upstream patches for
        this are large and not available until symfony 6.0.0.
    - d/p/add-return-types.patch: Add return types required for
      psr components, to resolve autopkgtest failures.
  * New changes:
    - d/t/control: require php-cache-tag-interop for cache integration
      tests autoloader. This was once provided by
      php-cache-integration-tests, but has been dropped there to allow
      migration to new PSR stack.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 02 Jun 2022 18:29:45 -0300

symfony (5.4.9+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.9

 -- David Prévot <taffit@debian.org>  Sat, 28 May 2022 12:05:11 +0200

symfony (5.4.8+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.8
  * Add support to libicu70, thanks to Athos Ribeiro (Closes: #1011737)
  * Drop Polyfill build-dependencies

 -- David Prévot <taffit@debian.org>  Tue, 24 May 2022 21:17:40 +0200

symfony (5.4.6+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.6
    (Fixing expected PHPUnit output, Closes: #1006735)

  [ David Prévot ]
  * Document blank image used for tests

 -- David Prévot <taffit@debian.org>  Sun, 06 Mar 2022 22:17:14 +0100
