=== debian/control ===
--- 
+++ 
@@ -48,8 +48,6 @@
                      php-sqlite3,
                      php-symfony-contracts (>= 2),
                      php-symfony-mercure,
-                     php-symfony-polyfill-php80,
-                     php-symfony-polyfill-php81,
                      php-symfony-security-acl,
                      php-twig (>= 3),
                      php-twig-cssinliner-extra (>= 3),
@@ -272,3 +270,7 @@
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/doc/5.4/components/filesystem.html
 Description: basic filesystem utilities
+ The Symfony Filesystem Component provides basic utilities to work
+ with the filesystem, like creating directories, removing files or
+ adding symlinks.
+ .
