## symfony 5.4.10+dfsg

=== debian/changelog ===
symfony (5.4.10+dfsg-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1980365). Remaining changes:
    - d/rules: Disable running phpunit testsuite during build.
    - d/p/implement-psr-log-3.patch: Implement psr/log 3
    - d/p/implement-psr-link-2.patch: Implement psr/link2 for php8.1
    - d/p/implement-psr-container-2.patch: Allow php-psr-container 2.0.2
    - d/p/implement-psr-cache-3.patch: Allow php-psr-cache 3.0 for php8.1
    - d/t/control: Mark tests flaky for now due to remaining php8.1
      inadequacies.
      + Many more routines require return types specified in order for tests
        to pass successfully with psr/container 3.  The upstream patches for
        this are large and not available until symfony 6.0.0.
    - d/p/add-return-types.patch: Add return types required for
      psr components, to resolve autopkgtest failures.
    - d/t/control: require php-cache-tag-interop for cache integration
      tests autoloader. This was once provided by
      php-cache-integration-tests, but has been dropped there to allow
      migration to new PSR stack.
  * Dropped changes:
    - Drop d/p/Adapt-conflict-to-Debian-expectations.patch:
      Unnecessary and causes conflict for php-email-validator
      [ Was only needed for the former transition ]
    - d/p/drop-conflict-email-validator.patch: Drop conflicts for
      php-email-validator to allow version 3.1.2-1.
      [ Was only needed for the former transition ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 30 Jun 2022 11:17:37 -0300

symfony (5.4.10+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.10

  [ David Prévot ]
  * Mark php-symfony-rate-limiter as Multi-Arch: foreign

 -- David Prévot <taffit@debian.org>  Wed, 29 Jun 2022 08:07:16 +0200

symfony (5.4.9+dfsg-2) unstable; urgency=medium

  * Mark some packages as Multi-Arch: foreign
  * Depend on recent php-email-validator

 -- David Prévot <taffit@debian.org>  Mon, 20 Jun 2022 08:37:49 +0200
