=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                      php-doctrine-annotations,
                      php-doctrine-data-fixtures,
                      php-doctrine-orm,
-                     php-email-validator,
+                     php-email-validator (>= 3.1),
                      php-friendsofphp-proxy-manager-lts,
                      php-gd,
                      php-guzzlehttp-promises,
@@ -79,6 +79,7 @@
  by them.
 
 Package: php-symfony-asset
+Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Suggests: ${phpcomposer:Debian-suggest}
@@ -159,6 +160,7 @@
  Symfony is a PHP framework, a set of tools and a development methodology.
 
 Package: php-symfony-css-selector
+Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Suggests: ${phpcomposer:Debian-suggest}
@@ -201,6 +203,7 @@
  Symfony is a PHP framework, a set of tools and a development methodology.
 
 Package: php-symfony-dotenv
+Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Suggests: ${phpcomposer:Debian-suggest}
@@ -271,6 +274,3 @@
 Homepage: https://symfony.com/doc/5.4/components/filesystem.html
 Description: basic filesystem utilities
  The Symfony Filesystem Component provides basic utilities to work
- with the filesystem, like creating directories, removing files or
- adding symlinks.
- .
