=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
          php-amqp,
          php-async-aws-sqs,
          php-cache-integration-tests,
+         php-cache-tag-interop,
          php-curl,
          php-doctrine-annotations,
          php-doctrine-data-fixtures,
