## symfony 5.4.11+dfsg

=== debian/changelog ===
symfony (5.4.11+dfsg-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1987399). Remaining changes:
    - d/rules: Disable running phpunit testsuite during build.
    - d/p/implement-psr-log-3.patch: Implement psr/log 3
    - d/p/implement-psr-link-2.patch: Implement psr/link2 for php8.1
    - d/p/implement-psr-container-2.patch: Allow php-psr-container 2.0.2
    - d/p/implement-psr-cache-3.patch: Allow php-psr-cache 3.0 for php8.1
    - d/t/control: Mark tests flaky for now due to remaining php8.1
      inadequacies.
      + Many more routines require return types specified in order for tests
        to pass successfully with psr/container 3.  The upstream patches for
        this are large and not available until symfony 6.0.0.
    - d/p/add-return-types.patch: Add return types required for
      psr components, to resolve autopkgtest failures.
    - d/t/control: require php-cache-tag-interop for cache integration
      tests autoloader. This was once provided by
      php-cache-integration-tests, but has been dropped there to allow
      migration to new PSR stack.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 23 Aug 2022 11:04:36 -0300

symfony (5.4.11+dfsg-2) unstable; urgency=medium

  * Install completion file(s)

 -- David Prévot <taffit@debian.org>  Thu, 18 Aug 2022 08:27:13 +0200

symfony (5.4.11+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.11

  [ David Prévot ]
  * Update Homepage for php-symfony-inflector and php-symfony-security-guard
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Mon, 01 Aug 2022 08:23:35 +0200
