=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                pkg-php-tools (>= 1.41~)
@@ -59,7 +59,7 @@
 Build-Conflicts: php-redis
 Homepage: https://symfony.com/
 Vcs-Browser: https://salsa.debian.org/php-team/pear/symfony
-Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git
 Rules-Requires-Root: no
 
 Package: php-symfony
