## symfony 5.4.13+dfsg

=== debian/changelog ===
symfony (5.4.13+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.13

  [ David Prévot ]
  * Fix typo in previous changelog entry
  * Drop patch not needed anymore
  * Update php-symfony-cache description

 -- David Prévot <taffit@debian.org>  Mon, 03 Oct 2022 13:43:13 +0200

symfony (5.4.12+dfsg-2) unstable; urgency=medium

  * [Form] Adapt precision for recent phpunit-comparator (Closes: #1020181)
  * Fix typo in copyright

 -- David Prévot <taffit@debian.org>  Mon, 19 Sep 2022 08:08:04 +0200

symfony (5.4.12+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.12

 -- David Prévot <taffit@debian.org>  Mon, 29 Aug 2022 08:02:19 +0200
