## symfony 5.4.14+dfsg

=== debian/changelog ===
symfony (5.4.14+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.14

 -- David Prévot <taffit@debian.org>  Sat, 15 Oct 2022 12:27:04 +0200
