## symfony 5.4.15+dfsg

=== debian/changelog ===
symfony (5.4.15+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.15

  [ Jérémy Derussé ]
  * [Intl] Update the ICU data to 72.1 - 5.4

 -- David Prévot <taffit@debian.org>  Tue, 01 Nov 2022 08:07:44 +0100
