## symfony 5.4.16+dfsg

=== debian/changelog ===
symfony (5.4.16+dfsg-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1999783). Remaining changes:
    - d/rules: Disable running phpunit testsuite during build.
    - d/p/implement-psr-log-3.patch: Implement psr/log 3
    - d/p/implement-psr-link-2.patch: Implement psr/link2 for php8.1
    - d/p/implement-psr-container-2.patch: Allow php-psr-container 2.0.2
    - d/p/implement-psr-cache-3.patch: Allow php-psr-cache 3.0 for php8.1
    - d/t/control: Mark tests flaky for now due to remaining php8.1
      inadequacies.
      + Many more routines require return types specified in order for tests
        to pass successfully with psr/container 3.  The upstream patches for
        this are large and not available until symfony 6.0.0.
    - d/p/add-return-types.patch: Add return types required for
      psr components, to resolve autopkgtest failures.
    - d/t/control: require php-cache-tag-interop for cache integration
      tests autoloader. This was once provided by
      php-cache-integration-tests, but has been dropped there to allow
      migration to new PSR stack.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 15 Dec 2022 11:47:27 -0300

symfony (5.4.16+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.16

  [ Alexander M. Turek ]
  * Run tests with doctrine/collections 2

  [ David Prévot ]
  * Workaround ICU new format (Closes: #1024308)

 -- David Prévot <taffit@debian.org>  Tue, 06 Dec 2022 16:58:14 +0100
