=== debian/control ===
--- 
+++ 
@@ -116,14 +116,12 @@
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/doc/5.4/components/cache.html
-Description: provides an extended PSR-6, PSR-16 (and tags) implementation
- The Symfony Cache Component provides an extended PSR-6 implementation for
+Description: provides extended PSR-6, PSR-16 (and tags) implementations
+ The Symfony Cache Component provides extended PSR-6 implementations for
  adding cache to applications. It is designed to have a low overhead so
- that caching is fastest. It ships with a few caching adapters for the
- most widespread and suited to caching backends. It also provides a
- `doctrine/cache` proxy adapter to cover more advanced caching needs
- and a proxy adapter for greater interoperability between PSR-6
- implementations.
+ that caching is fastest. It ships with adapters for the most widespread
+ caching backends. It also provides a PSR-16 adapter, and implementations
+ for `symfony/cache-contracts` `CacheInterface` and `TagAwareCacheInterface`.
  .
  Symfony is a PHP framework, a set of tools and a development methodology.
 
@@ -274,3 +272,6 @@
 Homepage: https://symfony.com/doc/5.4/components/filesystem.html
 Description: basic filesystem utilities
  The Symfony Filesystem Component provides basic utilities to work
+ with the filesystem, like creating directories, removing files or
+ adding symlinks.
+ .
