## symfony 5.4.18+dfsg

=== debian/changelog ===
symfony (5.4.18+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.18

  [ Alexander M. Turek ]
  * Compatibility with doctrine/annotations 2

 -- David Prévot <taffit@debian.org>  Fri, 30 Dec 2022 08:09:47 +0100
