=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: symfony
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
@@ -275,3 +274,5 @@
  with the filesystem, like creating directories, removing files or
  adding symlinks.
  .
+ Symfony is a PHP framework, a set of tools and a development methodology.
+
