## symfony 5.4.19+dfsg

=== debian/changelog ===
symfony (5.4.19+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Bump license year to 2023
  * Update VERSION for 5.4.19

  [ Alexander M. Turek ]
  * Allow EmailValidator 4

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Wed, 25 Jan 2023 08:26:13 +0100

symfony (5.4.18+dfsg-3) unstable; urgency=medium

  * Drop (data) tests failing with PHP 8.2 (Closes: #1028533)

 -- David Prévot <taffit@debian.org>  Fri, 13 Jan 2023 08:47:36 +0100

symfony (5.4.18+dfsg-2) unstable; urgency=medium

  * Allow php-doctrine-event-manager 2
  * Update standards version to 4.6.2

 -- David Prévot <taffit@debian.org>  Thu, 05 Jan 2023 08:03:11 +0100
