## symfony 5.4.20+dfsg

=== debian/changelog ===
symfony (5.4.20+dfsg-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * [HttpKernel] Remove private headers before storing responses with HttpCache
    [CVE-2022-24894]
  * [Security/Http] Remove CSRF tokens from storage on successful login
    [CVE-2022-24895]

  [ Fabien Potencier ]
  * Update VERSION for 5.4.20

 -- David Prévot <taffit@debian.org>  Wed, 01 Feb 2023 19:25:18 +0100
