## symfony 5.4.21+dfsg

=== debian/changelog ===
symfony (5.4.21+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.21

 -- David Prévot <taffit@debian.org>  Tue, 28 Feb 2023 22:18:04 +0100
