## symfony 5.4.22+dfsg

=== debian/changelog ===
symfony (5.4.22+dfsg-2) unstable; urgency=medium

  * Disable testsuite on s390x (Closes: #908377)

 -- David Prévot <taffit@debian.org>  Mon, 03 Apr 2023 08:21:59 +0200

symfony (5.4.22+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 5.4.22

 -- David Prévot <taffit@debian.org>  Sat, 01 Apr 2023 11:47:18 +0200
